using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace drugiZadatak
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double[] a = new double[n];
            double[] p = new double[n];

            double zbirSvihPlata = 0;
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                a[i] = double.Parse(s[0]);
                p[i] = double.Parse(s[1]);

                zbirSvihPlata += a[i];
            }

            Array.Sort(p, a); // sortira nizove a i p na osnovu niza p

            double maksimalnaZaradaDrzave = (zbirSvihPlata * p[0]) / 100;
            double tempZbirPlata = zbirSvihPlata;
            for (int i = 1; i < n; i++)
            {
                tempZbirPlata -= a[i - 1];
                if (p[i] == p[i - 1])
                {
                    continue;
                }
                else
                {
                    double tempZaradaDrzave = (tempZbirPlata * p[i]) / 100;
                    if (tempZaradaDrzave > maksimalnaZaradaDrzave)
                    {
                        maksimalnaZaradaDrzave = tempZaradaDrzave;
                    }
                }
            }

            Console.WriteLine(maksimalnaZaradaDrzave);
        }
    }
}